## python-tracing 0.6

=== Makefile ===
all:
	$(MAKE) -C doc html

clean:
	$(MAKE) -C doc clean
	rm -rf build *.py[co]

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tracing.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tracing.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-tracing 0.5

=== debian/control ===
Source: python-tracing
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: python
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.8), python-support (>= 1.0.3), 
    python (>= 2.5), python-sphinx
XS-Python-Version: >= 2.5

Package: python-tracing
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5)
XB-Python-Version: ${python:Versions}
Description: Python debug tracing helper
 Provides the Python library 'tracing' to help with logging debug messages.
 This library provides a function for logging debug messages.
 It is sometimes practical during software development to add a lot of 
 debugging log messages to a program, but having them enabled all the time 
 results in very large log files. Also, logging that much takes quite a 
 bit of time.
 .
 This module provides a way to turn such debugging (or tracing) messages
 on and off, based on the filename they occur in. It is much faster than
 using `logging.Filter` to accomplish the same thing, which matters
 when code is run in production mode. The actual logging still happens
 using the `logging` library.
Homepage: http://liw.fi/tracing/

## python-tracing 0.6

=== debian/changelog ===
python-tracing (0.6-2) unstable; urgency=low

  * Replace embedded underscore.js with symlink to copy from libjs-underscore.
  * Make the package suggest (rather than depend on) libjs-jquery. Also
    suggest libjs-underscore. These are needed only for API docs, which
    most people won't really care about. 

 -- Lars Wirzenius <liw@liw.fi>  Tue, 27 Dec 2011 20:40:39 +0000

python-tracing (0.6-1) unstable; urgency=low

  * Update packaging to use dh_python2.
  * Avoid embedding jquery.js from sphinx, symlink to libjs-jquery
    instead.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 17 Sep 2011 20:40:29 +0100

python-tracing (0.5-1) unstable; urgency=low

  * New upstream version. Adds documentation formatted using sphinx.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 28 May 2011 18:04:22 +0100

python-tracing (0.4-1) unstable; urgency=low

  * Initial packaging. (Closes: #623857)

 -- Lars Wirzenius <liw@liw.fi>  Wed, 18 May 2011 07:27:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Section: python
 Priority: optional
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.3.8), python-support (>= 1.0.3), 
-    python (>= 2.5), python-sphinx
-XS-Python-Version: >= 2.5
+Build-Depends: debhelper (>= 7.3.8), python-all (>= 2.6.6-3~), python-sphinx
+X-Python-Version: >= 2.6
 
 Package: python-tracing
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5)
-XB-Python-Version: ${python:Versions}
+Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.6)
+Suggests: libjs-jquery, libjs-underscore
 Description: Python debug tracing helper
  Provides the Python library 'tracing' to help with logging debug messages.
  This library provides a function for logging debug messages.

## python-tracing 0.8

=== debian/changelog ===
python-tracing (0.8-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Wed, 15 Oct 2014 14:11:05 +0200

python-tracing (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 18 Apr 2013 09:15:50 +0100

python-tracing (0.7-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 29 Sep 2012 15:04:47 +0100

## python-tracing 0.9

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,21 @@
+# Copyright 2011  Lars Wirzenius
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-3+ =*=
+
+
 all:
 	$(MAKE) -C doc html

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-tracing
 Maintainer: Lars Wirzenius <liw@liw.fi>
+Homepage: http://liw.fi/tracing/
 Section: python
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7.3.8), python-all (>= 2.6.6-3~), python-sphinx
 X-Python-Version: >= 2.6
 
@@ -23,4 +24,3 @@
  using `logging.Filter` to accomplish the same thing, which matters
  when code is run in production mode. The actual logging still happens
  using the `logging` library.
-Homepage: http://liw.fi/tracing/
